Bug 396471 - perl-Imager: infix testsuite broken...
perl-Imager: infix testsuite broken...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-Imager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 05:53 EST by Oliver Falk
Modified: 2009-01-09 02:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:19:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2007-11-23 05:53:15 EST
Infix tests do not work at the moment and therefor %check section fails. Can you
please check?
Comment 1 Jan Pazdziora 2008-03-05 07:55:39 EST
What version do you have in mind? There is perl-Imager-0.60-1.fc8 in Fedora 8,
so presumably some rpmbuild has passed.
Comment 2 Oliver Falk 2008-03-06 12:00:33 EST
Sorry. I forgot about sending you the link:
http://buildsys.zero42.at/koji/getfile?taskID=91322&name=build.log
This is perl-Imager-0.60-1.fc8, on alpha...
Comment 3 Jan Pazdziora 2008-03-10 08:08:34 EDT
Well, buildlogs from Fedora's build system show that the tests passed on all
architectures supported by koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=18751.

So I assume that test fails because something is wrong on the alpha port. So
it's probably up to you to try make test TEST_VERBOSE=1 or something like that
to debug the problem, as you have access to that alpha machine.

Also, perl-Imager-0.62-3.fc9 is in rawhide now
http://koji.fedoraproject.org/koji/buildinfo?buildID=41704 -- can you try to
build that one to see if you get different test results?
Comment 4 Bug Zapper 2008-11-26 03:39:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:19:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Oliver Falk 2009-01-09 02:56:17 EST
fyi. Unfortunately, it works in F9...

Note You need to log in before you can comment on or make changes to this bug.